package com.qmth.distributed.print.business.bean.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.distributed.print.business.enums.CourseEvaluationTypeEnum;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

/**
 * @Description: 课程权重表单dto（展开的结构）
 * @Author: CaoZixuan
 * @Date: 2024-03-06
 */
public class CourseWeightFormDto {

    @ApiModelProperty("课程目标id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long targetId;

    @ApiModelProperty("课程目标名称")
    private String targetName;

    @ApiModelProperty("目标创建时间")
    private Long targetCreateTime;

    @ApiModelProperty("对应课程目标分值")
    private BigDecimal targetScore;

    @ApiModelProperty("评价方式id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long evaluationId;

    @ApiModelProperty("评价方式（项目）")
    private String evaluation;

    @ApiModelProperty("评价方式内容（考核内容及其要求）")
    private String evaluationDesc;

    @ApiModelProperty("评价方式创建时间")
    private Long evaluationCreateTime;

    @ApiModelProperty("评价方式类型（默认/自定义）")
    private CourseEvaluationTypeEnum type;

    public Long getTargetId() {
        return targetId;
    }

    public void setTargetId(Long targetId) {
        this.targetId = targetId;
    }

    public String getTargetName() {
        return targetName;
    }

    public void setTargetName(String targetName) {
        this.targetName = targetName;
    }

    public Long getTargetCreateTime() {
        return targetCreateTime;
    }

    public void setTargetCreateTime(Long targetCreateTime) {
        this.targetCreateTime = targetCreateTime;
    }

    public BigDecimal getTargetScore() {
        return targetScore;
    }

    public void setTargetScore(BigDecimal targetScore) {
        this.targetScore = targetScore;
    }

    public Long getEvaluationId() {
        return evaluationId;
    }

    public void setEvaluationId(Long evaluationId) {
        this.evaluationId = evaluationId;
    }

    public String getEvaluation() {
        return evaluation;
    }

    public void setEvaluation(String evaluation) {
        this.evaluation = evaluation;
    }

    public String getEvaluationDesc() {
        return evaluationDesc;
    }

    public void setEvaluationDesc(String evaluationDesc) {
        this.evaluationDesc = evaluationDesc;
    }

    public Long getEvaluationCreateTime() {
        return evaluationCreateTime;
    }

    public void setEvaluationCreateTime(Long evaluationCreateTime) {
        this.evaluationCreateTime = evaluationCreateTime;
    }

    public CourseEvaluationTypeEnum getType() {
        return type;
    }

    public void setType(CourseEvaluationTypeEnum type) {
        this.type = type;
    }
}
